# evennia.server.portal.ssl

This is a simple context factory for auto-creating SSL keys and certificates.

class `evennia.server.portal.ssl.``SSLProtocol`(*args, **kwargs)

  Bases: `evennia.server.portal.telnet.TelnetProtocol`

  Communication is the same as telnet, except data transfer is done with encryption.

  `__init__`(*args, **kwargs)

    Initialize self. See help(type(self)) for accurate signature.

`evennia.server.portal.ssl.``verify_SSL_key_and_cert`(keyfile, certfile)

  This function looks for RSA key and certificate in the current directory. If files ssl.key and ssl.cert does not exist, they are created.

`evennia.server.portal.ssl.``getSSLContext`()

  This is called by the portal when creating the SSL context server-side.

  Returns

    ssl_context (tuple) –

    A key and certificate that is either

      existing previously or or created on the fly.